Subject: Re: Git Screencast ?

From: Michael Donaghy <[email-masked]>
Date: Thu, 22 Nov 2007 20:47:07 -0500

Andreas Ericsson wrote:
> Michael Donaghy wrote:
>> I am a new user of git and SCMs in general , I have learned a lot from 
>> the docs , irc and just using it , but there are just some concepts 
>> that hare hard to grasp , I am a very visual persion (probably like a 
>> lot of you :) ) , is there a screencast of git somewhere (for free) 
>> that can demonstrate some of the advanced features of git...
>> (Also...I have seen both Randal (Schwartz) and Linus' (you better know 
>> his last name) presentations at google on git , in which they explain 
>> the ideas behind git more than the actual usage,
>>
> 
> The thing that helped me and my co-workers the most was running through
> the steps of the tutorial, but stopping every time something wasn't
> absolutely crystal clear and doing gitk or qgit (I prefer qgit, since
> it seems to display things more consistently and also loads faster).
> 
> That primarily helped us get branches under control. We came from a
> CVS world and never had any branches, as none of us had time or energy
> to figure out how to merge them back together using those crippled scm's.
> 
> I noticed Johannes Gilger already sent you the link to git-for-scientists
> thing which is also a really good aid, especially when you've read the
> tutorial and some of the less tech-oriented docs.
> 

Yes thank you , although a screen cast would still be ideal , the 
documentation is very good,
also , what do you think of git-gui ? , I think it is the best one